POST
/api/v1/vpc/tunnels/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/vpc/tunnels/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "is_peer_vpc_external": false, "name": "vpc-peer-VPC-573-01", "vpc_local_network_id": 1155, "vpc_peer_network_id": 1189}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/vpc/tunnels/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "is_peer_vpc_external": False, "name": "vpc-peer-VPC-573-01", "vpc_local_network_id": 1155, "vpc_peer_network_id": 1189, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/vpc/tunnels/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "is_peer_vpc_external": false, "name": "vpc-peer-VPC-573-01", "vpc_local_network_id": 1155, "vpc_peer_network_id": 1189 }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
is_peer_vpc_external
Indicates whether the peer VPC is external or within the same network
boolean
Example
falsename
Unique name for the VPC peering connection
string
Example
vpc-peer-VPC-573-01vpc_local_network_id
Identifier of the local VPC network
integer
Example
1155vpc_peer_network_id
Identifier of the peer VPC network
integer
Example
1189Responses
Section titled “Responses”VPC Peering Creation Process Initiated
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
status
string
local_vpc
object
id
integer
name
string
network_id
integer
is_active
boolean
created_at
string format: date-time
network_mask
string
ipv4_cidr
string
vm_count
integer
dns
string
gateway_ip
string
pool_size
integer
gateway_node
object
node_name
string
node_id
integer
ip_address_public
string
ip_address_private
string
state
string
state
string
project_name
string
location
string
peer_vpc
object
id
integer
name
string
network_id
integer
is_active
boolean
created_at
string format: date-time
network_mask
string
ipv4_cidr
string
vm_count
integer
dns
string
gateway_ip
string
pool_size
integer
gateway_node
object
node_name
string
node_id
integer
ip_address_public
string
ip_address_private
string
state
string
state
string
project_name
string
location
string
is_peer_vpc_external
boolean
local_ts
string
remote_ts
string
local_id
string
remote_id
string
customer
integer
created_at
string format: date-time
errors
object
key
additional properties
string
message
string
Example
{ "code": 200, "data": { "id": 99, "name": "vpc-peer-VPC-573-01", "status": "CREATING", "local_vpc": { "id": 6834, "name": "VPC-573", "network_id": 1155, "is_active": true, "created_at": "2025-09-19T05:59:25.772020Z", "network_mask": "255.255.254.0", "ipv4_cidr": "10.100.246.0/23", "vm_count": 0, "dns": "8.8.8.8 8.8.4.4", "gateway_ip": "10.100.246.1", "pool_size": 512, "gateway_node": { "node_name": "VPC-573-gateway", "node_id": 265723, "ip_address_public": "151.185.32.178", "ip_address_private": "10.100.246.1", "state": "Running" }, "state": "Active", "project_name": "default-project-36787", "location": "Chennai" }, "peer_vpc": { "id": 6908, "name": "VPC-385", "network_id": 1189, "is_active": true, "created_at": "2025-09-25T04:55:24.692984Z", "network_mask": "255.255.254.0", "ipv4_cidr": "10.101.6.0/23", "vm_count": 0, "dns": "8.8.8.8 8.8.4.4", "gateway_ip": "10.101.6.1", "pool_size": 512, "gateway_node": { "node_name": "VPC-385-gateway", "node_id": 267152, "ip_address_public": "151.185.32.197", "ip_address_private": "10.101.6.1", "state": "Running" }, "state": "Active", "project_name": "default-project-36787", "location": "Chennai" }, "is_peer_vpc_external": false, "local_ts": "10.100.246.0/23", "remote_ts": "10.101.6.0/23", "local_id": "10.100.246.1", "remote_id": "10.101.6.1", "customer": 36787, "created_at": "2025-09-25T05:15:16.010562Z" }, "errors": {}, "message": "VPC Peering Creation Process Initiated!"}